/**
 * --------------------------------------------------------------------------
 * Bootstrap's navbar whitelabel overrides
 * (Affects Universal Widgets -- containers, layouts)
 * --------------------------------------------------------------------------
 * @name navbar
 * @description Navigation overrides. For navbar we have defined brand logo size, also colors and spacing.
 */
.navbar-default {
  background-color: transparent;
}

.nav .row {
  margin: 0;
}

.navbar-brand {
  @extend .ml-3;
  max-width: $navbar-brand-width;

  & img {
    max-width: 0.9 * $navbar-brand-width;
  }
}

.navbar {
  border: none;
  padding: 0;

  @include media-breakpoint-up(md) {
    .navbar-right {
      margin-right: 0;
      width: $navbar-right-width;
    }
  }

  .nav li.nav-item {
    border-left: 0px solid transparent;
    @include animation(border-color, 500ms);

    & a {
      @include animation(background-color, 500ms);
      color: $navigationLabelGray;

      &:focus {
        @include animation(background-color, 500ms);
        background-color: $navigation-link-focus-bgcolor;
      }

      &:hover {
        color: $nav-link-hover-color;
        @include animation(background-color, 500ms);
        background-color: $navigation-link-hover-bgcolor;
      }
    }

    &:hover:not(.active) {
      @include animation(border-color, 500ms);

      border-color: $navigation-link-hover-bgcolor;
    }

    &:active:not(.active) {
      @include animation(border-color, 500ms);

      background-color: $navigation-link-active-bgcolor;
    }

    &.active {
      border: none;
      a {
        background-color: $navigation-link-active-bgcolor;
        color: $navigation-link-active-color;
      }
    }
  }
}

.sidebar.toggle {
  .nav li.nav-item {
    & a {
      padding-left: 0.8rem !important;
      padding-right: 0.5rem;
    }
  }
}

.nav-tabs {
  // HS: Replaced in _index.scss with BB variable
  //border-bottom: 1px solid $navigationDarkerGray;
  // HS: Replaced in _index.scss with BB variable
  //.nav-item {
  //  font-family: $istok-web;
  //  a.active {
  //    color: $nlbIndigoColor;
  //  }
  //}

  .nav-link {
    // HS: Replaced in _index.scss with BB variable
    //border: solid $navigationDarkerGray;
    //border-width: 0 0 1px 0;
    //color: $nlbMainGreyColor;
    //&.active {
    //  border-width: 0 0 1px 0;
    //  border-color: $nlbIndigoColor;
    //  &:hover {
    //    background-color: transparent;
    //  }
    //}
    &:hover {
      background-color: transparent;
      outline-color: transparent;
      color: $nlbIndigoColor;
    }
    @include media-breakpoint-down(sm) {
      font-size: 11px;
    }
  }
}

.nav-tabs .nav-item {
  min-width: 170px;
  text-align: center;
}

.page-flex-layout .sidebar {
  -webkit-transition: all 0.3s ease-out !important;
  transition: all 0.3s ease-out !important;

  .navbar .nav li.nav-item {
    transition: border-color 5000ms 0ms cubic-bezier(0, 0, 0.2, 1);
  }

  //.nav li.nav-item a {
  //  -webkit-transition: all 5s !important;
  //   transition: all 5s !important;
  //}
}

li.nav-item {
  a.nav-link {
    transition: padding-left 0.4s !important;
    -webkit-transition: padding-left 0.4s !important;

    //.bb-universal-nav-item-title {
    //  transition: all 6s !important;
    //}
  }
}
